QuantLib: OptionletStripper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

List of all members
OptionletStripper Class Reference

`#include <ql/termstructures/volatility/optionlet/optionletstripper.hpp>`

Inheritance diagram for OptionletStripper:
[legend]

## StrippedOptionletBase interface
ext::shared_ptr< CapFloorTermVolSurface > | termVolSurface_
ext::shared_ptr< IborIndex > | iborIndex_
Handle< YieldTermStructure > | discount_
Size | nStrikes_
Size | nOptionletTenors_
std::vector< std::vector< Rate > > | optionletStrikes_
std::vector< std::vector< Volatility > > | optionletVolatilities_
std::vector< Time > | optionletTimes_
std::vector< Date > | optionletDates_
std::vector< Period > | optionletTenors_
std::vector< Rate > | atmOptionletRate_
std::vector< Date > | optionletPaymentDates_
std::vector< Time > | optionletAccrualPeriods_
std::vector< Period > | capFloorLengths_
const VolatilityType | volatilityType_
const Real | displacement_
const std::vector< Rate > & | optionletStrikes (Size i) const
const std::vector< Volatility > & | optionletVolatilities (Size i) const
const std::vector< Date > & | optionletFixingDates () const
const std::vector< Time > & | optionletFixingTimes () const
Size | optionletMaturities () const
const std::vector< Rate > & | atmOptionletRates () const
DayCounter | dayCounter () const
Calendar | calendar () const
Natural | settlementDays () const
BusinessDayConvention | businessDayConvention () const
const std::vector< Period > & | optionletFixingTenors () const
const std::vector< Date > & | optionletPaymentDates () const
const std::vector< Time > & | optionletAccrualPeriods () const
ext::shared_ptr< CapFloorTermVolSurface > | termVolSurface () const
ext::shared_ptr< IborIndex > | iborIndex () const
Real | displacement () const
VolatilityType | volatilityType () const
| OptionletStripper (const ext::shared_ptr< CapFloorTermVolSurface > &, const ext::shared_ptr< IborIndex > &iborIndex_, const Handle< YieldTermStructure > &discount=Handle< YieldTermStructure >(), VolatilityType type=ShiftedLognormal, Real displacement=0.0)

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
virtual void | performCalculations () const =0
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

StrippedOptionletBase specialization. It's up to derived classes to implement LazyObject::performCalculations